For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete Destination Priority

Remove a voice destination priority (2 or 3) from a phone number. Priority 1 cannot be deleted through the API.

Overview

This method allows you to remove destination priorities for phone numbers.

Authentication

Authentication is done by passing your TSG Global API key via the Authorization header in the format "Authorization: Bearer <api_key>"

Method

Delete a destination priority associated with a phone number.

DELETE https://api-service.tsgglobal.world/v1/did/priority

Request Body

Name
Type
Description

did*

String

The phone number (e.g. 12022011234)

priority*

String

1-3 in order of preferred priority.

Example DELETE

curl -n https://api-service.tsgglobal.world/v1/did/priority -XDELETE -H "Authorization: Bearer <api_key>" \
-H "Content-Type: application/json" -d '{
  "did": "12003004000",
  "priority": 2
}'

Error Codes

  • -1000 Invalid or Blank API Key

  • -1003 Invalid or No DID Provided

  • -1004 Invalid or No Priority Provided

  • -1007 Priority Does NOT Exist, Delete an already created priority.

  • -1008 Deleted Priority from Routing.

  • -1010 Can not Delete Priority 1, Please Submit a DID cancel request.

Last updated

Was this helpful?